<?php

namespace App\ViewModels\Arquivo\ArquivoRegistrationViewModel;

use App\Utils\Entity;

class ArquivoRegistrationViewModel extends Entity {
	protected $descricao;
	protected $id_clinica;
	protected $id_medico;
	protected $id_paciente;
	protected $id_pet;
	protected $tutor_view;
	protected $arquivo;
	protected $criado_por;

	public static function builder(): ArquivoRegistrationViewModelBuilder {

		return (new ArquivoRegistrationViewModelBuilder());

	}

	public function getTutorView() {

		return $this->tutor_view;

	}

	public function setTutorView($tutor_view): void {

		$this->tutor_view = $tutor_view;

	}

	public function getDescricao() {

		return $this->descricao;

	}

	public function setDescricao($descricao): void {

		$this->descricao = $descricao;

	}

	public function getIdClinica() {

		return $this->id_clinica;

	}

	public function setIdClinica($id_clinica): void {

		$this->id_clinica = $id_clinica;

	}

	public function getIdMedico() {

		return $this->id_medico;

	}

	public function setIdMedico($id_medico): void {

		$this->id_medico = $id_medico;

	}

	public function getIdPet() {

		return $this->id_pet;

	}

	public function setIdPet($idpet): void {

		$this->id_pet = $idpet;

	}

	public function getIdPaciente() {

		return $this->id_paciente;

	}

	public function setIdPaciente($id_paciente): void {

		$this->id_paciente = $id_paciente;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getArquivo() {

		return $this->arquivo;

	}

	/**
	 *
	 * @param mixed $arquivo
	 */
	public function setArquivo($arquivo): void {

		$this->arquivo = $arquivo;

	}

	public function getCriadoPor() {

		return $this->criado_por;

	}

	public function setCriadoPor($criado_por): void {

		$this->criado_por = $criado_por;

	}

}